#declare MOVE_VECTOR=<0,75-200*clock,0>
//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 4 lights, 3 textures and 32 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 11/19/1996    (19.11.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





camera {  //  Camera StdCam
  location  <-28.600, -8.652, 15.342>
  direction <0.0,     0.0,  1.8316>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <1.044, 8.001, 0.000>+MOVE_VECTOR
}

// *******  L I G H T S *******
light_source {   // eng_glow
  <0.000, 18.000, 1.000>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <45.000, 25.000, 0.000>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "des1.inc"



// ********  REFERENCED OBJECTS  *******

#declare hub = object {
  cylinder { // hub
    <0,0,1>, <0,0,0>, 1 
    scale 1.15
    rotate -90.0*x
    translate  5.0*y
  }
}
#declare Cylndr001 = object {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 15.0>
    translate  5.0*y
  }
}
#declare vrossbeam = object {
  cylinder { // vrossbeam
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 8.75>
    rotate <0.0, 90.0, 0.0>
    translate  <-4.375, -2.5, 1.0>
  }
}
#declare end_beam = union {
  object { vrossbeam }
  object { // vrossbeam1->vrossbeam
    vrossbeam
    rotate <0.0, 0.0, -120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // vrossbeam2->vrossbeam
    vrossbeam
    rotate <0.0, 0.0, 120.0>
    translate  <0.0, 0.0, 0.0>
  }
}
#declare crossbeam = object {
  cylinder { // crossbeam
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 16.5>
    rotate <30.199512, 12.726031, 9.16342>
    translate  5.0*y
  }
}
#declare beam = union {
  object { // Cylndr3->Cylndr001
    Cylndr001
    rotate 120.0*z
    translate  0.0*y
  }
  object { // Cylndr2->Cylndr001
    Cylndr001
    rotate -120.0*z
  }
  object { Cylndr001 }
  object { end_beam }
  object { // end_beam1->end_beam
    end_beam
    translate  13.0*z
  }
  object { crossbeam }
  object { // crossbeam1->crossbeam
    crossbeam
    rotate <0.0, 0.0, -120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // crossbeam2->crossbeam
    crossbeam
    rotate <0.0, 0.0, 120.0>
    translate  <0.0, 0.0, 0.0>
  }
  scale 0.1
  rotate 90.0*y
  translate  <1.15, 5.5, 0.0>
}
#declare arm = union {
  object { beam }
  object { // beam1->beam
    beam
    rotate 0.0*z
    translate  <1.0, 0.0, 0.0>
  }
  object { // beam2->beam
    beam
    rotate 0.0*z
    translate  <2.0, 0.0, 0.0>
  }
  object { // beam3->beam
    beam
    rotate 0.0*z
    translate  <3.0, 0.0, 0.0>
  }
  object { // beam4->beam
    beam
    rotate 0.0*z
    translate  <4.0, 0.0, 0.0>
  }
  object { // beam5->beam
    beam
    rotate 0.0*z
    translate  <5.0, 0.0, 0.0>
  }
}
// Include contains 'wing1'
#include "des1.in1"

#declare wing1 = object {
  wing1_Raw
  scale <2.0, 2.0, 8.0>
  rotate -90.0*x
  translate  <9.5, 4.0, 0.0>
}
#declare side = union {
  object { arm }
  object { wing1 }
  object { // arm1->arm
    arm
    translate  5.0*y
  }
}
#declare nozzle_csg = difference {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 2.0>
    rotate -90.0*x
    translate  <0.0, 15.0, 1.0>
  }
  sphere { // nozzle
    <0,0,0>,1
    scale <1.0, 1.5, 1.0>
    translate  <0.0, 17.0, 1.0>
  }
  translate  <0.0, -15.0, -1.0>
}
#declare engine = union {
  sphere { // Sphere001
    <0,0,0>,1
    scale <1.0, 2.0, 1.0>
  }
  object { nozzle_csg }
  sphere { // ex
    <0,0,0>,1
    texture {
      none
    }
    #include"flame.inc"
    no_shadow
    scale <1.0, 3.0, 1.0>
    translate  3.0*y
  }
  texture {
    spaceship
  }
  translate  <0.0, 15.0, 1.0>
}




// ********  OBJECTS  *******

sphere { // star
  <0,0,0>,1
  texture {
    none
  }
  #include"flame.inc"
  no_shadow
  translate  <45.0, 25.0, 0.0>
}


sphere { // universe
  <0,0,0>,1
  texture {
    space
  }
  no_shadow
  hollow
  scale 1000.0
}


//
// Include file contains 'RotSwp001'
//
#include "des1.in2"
#declare RotSwp001 = object {
  RotSwp001_Raw
  scale 3.0
  rotate 90.0*x
  translate  <0.0, -2.112986, 0.028554>
}
#declare arms = union {
  object { side }
  object { // side1->side
    side
    rotate <180.0, 0.0, 180.0>
  }
  texture {
    spaceship
  }
  rotate<0,720*clock,0>
}
union { // ship
  cylinder { // main_body
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 1.0, 15.0>
    rotate -90.0*x
  }
  object { RotSwp001 }
  object { hub }
  object { // hub1->hub
    hub
    rotate 0.0*x
    translate  5.0*y
  }
  object { arms }
  object { engine }
  object { // engine1->engine
    engine
    rotate <180.0, -60.0, 180.0>
  }
  object { // engine2->engine
    engine
    rotate <180.0, 60.0, 180.0>
    translate  0.0*z
  }
  texture {
    spaceship
  }
  hollow
  translate MOVE_VECTOR
}




